/* =========================== News & Industry Updates Section =========================== */
.news-updates { padding: 85px 0 114px; background-color: #EBE9E3; }
.news-updates .common-title{margin-bottom: 33px;}
.news-updates .common-title .title { color: var(--blue-color);margin-bottom: 32px; }
.news-updates .common-title .subtitle { color: var(--black); }

/* Card Styling */
.news-card { background-color: var(--white); border-radius: 20px; padding: 28px 28px 62px; height: 100%; display: flex; flex-direction: column; box-shadow: 4px 4px 10px 0px #0000001A; transition: transform 0.4s ease, box-shadow 0.4s ease; }
.news-card:hover { transform: translateY(-8px); box-shadow: 0px 15px 35px rgba(0, 0, 0, 0.1); }

/* Image Styling */
.news-card-img { width: 100%; padding-top: 87%; border-radius: 10px; overflow: hidden; margin-bottom: 41px; position: relative; }
.news-card-img img { position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover; transition: transform 0.5s ease; }
.news-card:hover .news-card-img img { transform: scale(1.05); }

/* Content Inside Card */
.news-card-content { display: flex; flex-direction: column; flex-grow: 1; }

.news-category { color: var(--beige-color); margin-bottom: 5px; display: block; }
.news-title { color: var(--blue-color); margin-bottom: 10px;min-height: 84px; line-height: 1.2 !important; }
.news-desc { color: var(--black); margin-bottom: 14px; flex-grow: 1;line-clamp: 3; overflow: hidden; text-overflow: ellipsis; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; /* Pushes the "Read more" link perfectly to the bottom */ }
.news-link { color: var(--green-color); display: inline-flex; width: fit-content; gap: 6px;align-items:center; margin-top: auto;text-transform: capitalize; }
.news-link:hover { color: var(--green-color); }
.news-link::after { content: ''; background: var(--green-color); }
.news-link img { width: 18px; height: 18px;transition: filter 0.3s ease; }

/* View More Button Wrapper */
.news-btn-wrap { margin-top: 53px; }

/* articles-insights-inner */
.articles-insights-inner{padding-top:101px;}
.articles-insights-inner .news-category{color: var(--red-color);}
.news-card .news-title a{color: var(--blue-color);}

/* research-analysis-inner */
.research-analysis-inner{padding-top: 114px;}
.research-analysis-inner .news-category{color: var(--green-color-400);}

/* =========================== Useful Resources Section =========================== */
.useful-resources { padding: 100px 0 122px; background-color: var(--white); }
.useful-resources .common-title { margin-bottom: 45px; }
.useful-resources .common-title .title { color: var(--blue-color); margin-bottom: 34px; }
.useful-resources .common-title .subtitle { color: var(--black); }

/* Base Card Styling */
.resource-card {position: relative; background-color: rgba(221, 223, 210, 50%); border-radius: 20px; padding: 56px 24px; height: 100%; display: flex; flex-direction: column; }
.resource-card-header { margin-bottom: 24px; gap: 10px; display: flex; justify-content: space-between; align-items: flex-start; }
.resource-icon { width: 31px; height: auto; flex-shrink: 0; position: absolute; top: 26px; right: 24px;}


.useful-resources  .resource-item-link:hover .resource-item-title,
.useful-resources  .resource-item-link:hover .resource-item-desc {
    text-decoration: underline;
    text-underline-offset: 2px;
}

/* 1st and 4th Columns: Light Green */
.useful-resources .row > div:nth-child(3n+1) .resource-card-title {
    color: var(--green-color); /* #4F7942 */
}

/* 2nd and 5th Columns: Maroon */
.useful-resources .row > div:nth-child(3n+2) .resource-card-title {
    color: var(--maroon-color); /* #8A3B2F */
}

/* 3rd and 6th Columns: Dark Teal/Green */
.useful-resources .row > div:nth-child(3n+3) .resource-card-title {
    color: var(--green-color-400); /* #2F665F */
}


.useful-resources .row{row-gap:13px;--bs-gutter-x: 24px;}
.resource-list { margin: 0; padding: 0; list-style: none; display: flex; flex-direction: column; flex-grow: 1; }
.resource-list-item { border-bottom: 1px solid #6e6f69; padding: 11px 0; display: flex; justify-content: space-between; align-items: center; gap: 12px; }
.resource-list-item:first-child { padding-top: 0; }
.resource-list-item:last-child { border-bottom: none; padding-bottom: 0; }
.resource-item-link {text-align: left; color: var(--black); text-decoration: none; display: block; width: 100%; }

/* .resource-item-link:hover .resource-item-title,
.resource-item-link:hover .resource-item-desc { color: var(--red-color);} */

.resource-item-title { display: block; margin-bottom: 2px; transition: all 0.3s ease; }
.resource-item-desc { display: block; color: var(--black); opacity: 0.9; transition: all 0.3s ease; }

/* specific utility for items that require an underline initially */
.resource-star { width: 14px; height: auto; flex-shrink: 0; }
.resource-lock{ width: 16px; height: auto; flex-shrink: 0; }

/* =========================== Empower Career Section =========================== */
.empower-career { position: relative; padding: 99px 0; background-size: cover; background-position: center; background-repeat: no-repeat; overflow: hidden; }
.empower-career::before { content: ''; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(46, 58, 68, 0.9); /* #2E3A44 at 85% opacity */ z-index: 0; pointer-events: none; }

/* Patterns Styling */
.empower-pattern { position: absolute; pointer-events: none; z-index: 0; width: 45%; max-width: 450px; opacity: 0.6; }
.empower-pattern-top { top: 0; left: 0; transform:translate(-51%, -30%); -webkit-transform:translate(-51%, -30%); }
.empower-pattern-bottom { bottom: 0; right: 0; transform: translate(30%, 20%); -webkit-transform: translate(30%, 20%); }

/* Content Container */
.empower-content { max-width: 800px; margin: 0 auto; }
.empower-content .title { color: var(--beige-color); margin-bottom: 24px; }
.empower-content .desc { color: var(--white); margin-bottom: 40px; }


/* =========================== FAQS Section =========================== */
.faqs-section { padding: 162px 0 164px; background-color: var( --white-color-300); }

/* Card Wrapping the Accordion */
.faqs-card { background-color: var(--white); border-radius: 20px; padding: 68px 129px 111px; box-shadow: 4px 4px 10px 0px #0000001A; -webkit-box-shadow: 4px 4px 10px 0px #0000001A; -moz-box-shadow: 4px 4px 10px 0px #0000001A; }

/* Title Styling */
.faqs-title { margin-bottom: 54px; }
.faqs-title .title { color: var(--blue-color); text-transform: uppercase; }

/* Bootstrap Accordion Overrides */
.faqs-section .accordion-item { background-color: transparent; border: none; border-bottom: 1px solid rgb(0 0 0 / 34%); }

/* Remove bottom border on the last item to keep it clean */
.faqs-section .accordion-item:last-child { border-bottom: none; }

/* Accordion Button (Question) */
.faqs-section .accordion-button { background-color: transparent; color: var(--black); padding: 30px 0; box-shadow: none; outline: none; gap: 60px; }
.faqs-section .accordion-button:focus { box-shadow: none; }

/* Custom Accordion Plus/Minus Icons */
.faqs-section .accordion-button::after { flex-shrink: 0; width: 31px; height: 31px; margin-left: auto; content: ""; background-image: url(../images/plus-icon.svg); background-size: contain; background-repeat: no-repeat; transition: transform 0.3s ease; }

/* Minus icon when accordion is open */
.faqs-section .accordion-button:not(.collapsed)::after { background-image: url(../images/minus-icon.svg); transform: none; }

/* Accordion Body (Answer) */
.faqs-section .accordion-body { padding: 0 0 30px 0; color: var(--black); max-width: 90%; }
.faqs-section .accordion-body a { color: var(--black); text-decoration: underline; }
.faqs-section .accordion-body a:hover { color: var(--red-color); }


/* ====================================================== Responsive Media Queries ====================================================== */
@media screen and (max-width: 1199px) {
    .news-updates { padding: 60px 0; }
    .news-card { padding: 20px; border-radius: 16px; }
    .news-card-img { margin-bottom: 20px; }
    .news-btn-wrap { margin-top: 50px; }
    .news-title{min-height: 78px;}
    
    /*  */
    .articles-insights-inner,
    .research-analysis-inner{padding-top: 80px;}
    
    /* =========================== FAQS Section =========================== */
    .faqs-section { padding: 130px 0 130px;}
    .faqs-card{padding: 60px 90px 80px;}
    
    /* =========================== Useful Resources Section =========================== */
    .useful-resources { padding: 60px 0;}
    .useful-resources .common-title .title{margin-bottom: 24px;}
    .useful-resources .row { row-gap: 14px; --bs-gutter-x: 14px; }
    .resource-card{padding: 46px 24px;}
    .resource-icon{width: 26px;top: 20px; right: 18px;}
    .resource-list { max-height: 206px;}
    .resource-card { border-radius: 16px; }


    .empower-career { padding: 60px 0; }

    .faqs-section { padding: 60px 0;}
}

@media screen and (max-width: 991px) {
    .news-updates { padding: 40px 0; }
    .news-updates .common-title .title{margin-bottom: 20px;}
    .news-updates .row { --bs-gutter-x: 12px;}
    .news-card { padding: 16px; border-radius: 12px; }
    .news-btn-wrap { margin-top: 40px; }
    .news-title{min-height: 73px;}
    /*  */
    .articles-insights-inner,
    .research-analysis-inner{padding-top: 60px;}
    
    /* =========================== Useful Resources Section =========================== */
    .useful-resources { padding: 40px 0;}
    .useful-resources .common-title .title{margin-bottom: 20px;}
    .resource-card{padding: 46px 20px;}
    .resource-icon{width: 24px;top: 18px; right: 16px;}
    .resource-list { max-height: 178px;}
    .resource-card { border-radius: 12px; }
    /* =========================== Empower Career Section =========================== */
    .empower-pattern{width: 35%;}
    .empower-career { padding: 40px 0; }

    
    /* =========================== FAQS Section =========================== */
    .faqs-section { padding: 40px 0;}
    .faqs-card{padding: 40px;}
    .faqs-section .common-title{margin-bottom: 20px;}
    .faqs-section .accordion-button{padding: 26px 0;}
    .faqs-section .accordion-body { padding: 0 0 26px 0;}
}

@media screen and (max-width: 767px) {
    .news-updates .row { --bs-gutter-x: 12px;row-gap: 20px;}
    .news-btn-wrap { margin-top: 30px; }
    .news-title{min-height: 73px;}
    
    /* =========================== Useful Resources Section =========================== */
    .useful-resources .common-title .title{margin-bottom: 18px;}
    .resource-card{padding: 46px 24px;}
    .resource-list { max-height: unset;}
    

    
    /* =========================== FAQS Section =========================== */
    .faqs-card{padding: 50px;}
    .faqs-section .common-title{margin-bottom: 16px;}
    .faqs-section .accordion-button{padding: 14px 0; font-size: 19px; line-height: 1.4;}
    .faqs-section .accordion-body { padding: 0 0 24px 0;}
    .faqs-section .accordion-button::after{width: 25px; height: 25px;}
}
@media screen and (max-width: 575px) {
    .news-title{min-height: auto;}
    
    /* =========================== FAQS Section =========================== */
    .faqs-card{padding: 26px;}
    .faqs-section .common-title{margin-bottom: 14px;}
    .faqs-section .accordion-button{ gap: 20px;}
    .faqs-section .accordion-body { padding: 0 0 20px 0;}
    .faqs-section .accordion-button::after{width: 22px; height: 22px;}
}